/* $Id: limits.h,v 1.7 2003/12/15 07:05:06 poser Exp poser $ */
#include <limits.h>

/*
 * This first section contains constants which can be changed at will.
 */

/* Maximum number of keys permitted */
#define MAXKEYS            64

/* Default initial maximum records to sort */
#define DEFMAXRECORDS	8192

/* Initial size of input text buffer */
#define INPUTTEXTSIZEINIT 8192

/* Initial maximum fields in a record */
#define DEFMAXFIELDS 32

#define MAXUNICODE 0x1FFFFF
#define MAXBMP     0x00FFFF

/*
 * Maximum number of multigraphs per key.
 * The highest slot in the rank table is no longer reserved for default keys
 * since we are no longer handling missing optional keys via defaults.
 * 
 * DO NOT CHANGE THIS. Unlike the other constants, this is tied in with the
 * structure of the program and cannot be safely changed without changing
 * other aspects of the program.
 */


#define NPU_FIRSTMULTIGRAPHCODE 0xD800
#define NPU_MAXMULTIGRAPHCODE 0xDFFF
#define NPU_MAXMULTIGRAPHS 2048

#define BMP_FIRSTMULTIGRAPHCODE 0xE000
#define BMP_MAXMULTIGRAPHCODE 0xF8FF
#define BMP_MAXMULTIGRAPHS (0xF8FF - 0xE000 + 1)

#define FUL_FIRSTMULTIGRAPHCODE 0xF0000
#define FUL_MAXMULTIGRAPHCODE 0x10FFFD
#define FUL_MAXMULTIGRAPHS (0x10FFFD - 0xF0000 + 1)
